package com.backendsys.modules.crt.service;

import com.backendsys.modules.crt.entity.CrtLoraStyle;
import com.backendsys.modules.crt.entity.CrtLoraStyleCategory;
import com.backendsys.modules.crt.entity.CrtLoraStyleCollect;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface CrtLoraStyleService {

    // 获取短剧创作-风格LoRA列表
    PageEntity selectCrtLoraStyleList(CrtLoraStyle crtLoraStyle);

    // 获取短剧创作-风格分类列表
    List<CrtLoraStyleCategory> selectCrtLoraStyleCategoryList();

    // 获取短剧创作-风格LoRA列表-用户收藏的
    PageEntity selectCrtLoraStyleListByCollect(CrtLoraStyle crtLoraStyle);

    // 获取短剧创作-风格LoRA列表-加入/取消收藏
    Map<String, Object> setLoraStyleCollect(CrtLoraStyleCollect crtLoraStyleCollect);

}
